﻿namespace U2UConsult.Metro.RadialGauge
{
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Controls;

    public sealed partial class AnotherBlankPage : Page
    {
        public AnotherBlankPage()
        {
            this.InitializeComponent();

            this.Gauge.QualitativeRanges.Add(new QualitativeRange() { Color = "#FFFF0000", Maximum = -30 });
            this.Gauge.QualitativeRanges.Add(new QualitativeRange() { Color = "#FFFFFF00", Maximum = -20 });
            this.Gauge.QualitativeRanges.Add(new QualitativeRange() { Color = "#FF7CFC00", Maximum = 20 });
            this.Gauge.QualitativeRanges.Add(new QualitativeRange() { Color = "#FFFFFF00", Maximum = 30 });
            this.Gauge.QualitativeRanges.Add(new QualitativeRange() { Color = "#FFFF0000", Maximum = 100 });
        }

        private void Button_Click(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            // Create a Frame to act navigation context and navigate to the first page
            var rootFrame = new Frame();
            rootFrame.Navigate(typeof(BlankPage));

            // Place the frame in the current Window and ensure that it is active
            Window.Current.Content = rootFrame;
            Window.Current.Activate();
        }
    }
}
